Name:		firetools
Version:	0.9.72
Release:	1%{?dist}
Summary:	Graphical user interface for the Firejail security sandbox
License:	GPLv2
Group:		Development/Tools
URL:		https://firejail.wordpress.com
Source0:	https://downloads.sourceforge.net/project/firejail/%{name}/%{name}-%{version}.tar.xz
Patch0:		firetools-libfix.patch
Requires:	firejail
BuildRequires:	gcc-c++
BuildRequires:	make
BuildRequires:	pkgconfig(Qt5)

%description
A Firejail sandbox launcher integrated with the system tray,
sandbox editing, management and statistics.

%prep
%autosetup -p 1

%build
%configure --with-qmake=/usr/bin/qmake-qt5
%make_build

%install
%make_install

%files
%doc
%license
%{_bindir}/firejail-ui
%{_bindir}/firetools
%{_libdir}/firetools/fmgr
%{_libdir}/firetools/fstats
%{_libdir}/firetools/uiapps
%{_libdir}/firetools/uihelp
%{_libdir}/firetools/uimenus
%{_datadir}/applications/firejail-ui.desktop
%{_datadir}/applications/firetools.desktop
%{_docdir}/firetools
%{_mandir}/man1/firejail-ui.1*
%{_mandir}/man1/firetools.1*
%{_datadir}/pixmaps/firejail-ui.png
%{_datadir}/pixmaps/firetools.png
%{_datadir}/pixmaps/firetools-minimal.png

%changelog
* Mon Jan 30 2023 Brandon Nielsen <nielsenb@jetfuse.net> 0.9.72-1
- Update to 0.9.72
- Add uiapps

* Fri Mar 19 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0.9.64-1
- Update to 0.9.64
- Explicitly require make

* Fri May 22 2020 Brandon Nielsen <nielsenb@jetfuse.net> 0.9.62-2
- Use pkgconfig for BuildRequires

* Fri Jan 17 2020 Brandon Nielsen <nielsenb@jetfuse.net> 0.9.62-1
- Update to 0.9.62
- Add missing %{?dist} tag
- Build with qt5

* Mon Mar 25 2019 Brandon Nielsen <nielsenb@jetfuse.net> 0.9.58-1
- Update to 0.9.58
- Fix hardcoded prefix

* Thu Mar 29 2018 Brandon Nielsen <nielsenb@jetfuse.net> 0.9.52-1
- Update to 0.9.52

* Fri Dec 22 2017 Brandon Nielsen <nielsenb@jetfuse.net> 0.9.50-1
- Initial specfile
